/***************************************************************************
 * CLASS:		MIWInspector (MiscIconWellInspector)
 * 
 *	See the header file for more info about this class.
 ***************************************************************************/
 
#import "MiscViews.subproj/MiscIconWell.h"
#import "MIWInspector.h"


@implementation MIWInspector

// Load the Inspector.

- init
{
    char buf[MAXPATHLEN + 1];
    id bundle;
    
    [super init];
    
    bundle = [NXBundle bundleForClass:[MiscIconWell class]];

    [bundle getPath: buf forResource: "MIWInspector" ofType:"nib"];

    [NXApp loadNibFile:buf owner:self withNames:NO fromZone:[self zone]];
		   
    return self;
}


// This is called to set the options located on the palette to
// be the same as the object the inspector is currently looking at.

- revert: sender
{	
    if ([object allowSourceDragging])
		[ [optionMatrix cellAt: 0 : 0] setState: 1];
	else
		[ [optionMatrix cellAt: 0 : 0] setState: 0];	

    if ([object allowDestinationDragging])
		[ [optionMatrix cellAt: 1 : 0] setState: 1];
	else
		[ [optionMatrix cellAt: 1 : 0] setState: 0];	

    if ([object acceptForeignDrag])
		[ [optionMatrix cellAt: 2 : 0] setState: 1];
	else
		[ [optionMatrix cellAt: 2 : 0] setState: 0];	

    if ([object acceptLocalDrag])
		[ [optionMatrix cellAt: 3 : 0] setState: 1];
	else
		[ [optionMatrix cellAt: 3 : 0] setState: 0];	

    if ([object acceptSelfDrag])
		[ [optionMatrix cellAt: 4 : 0] setState: 1];
	else
		[ [optionMatrix cellAt: 4 : 0] setState: 0];	

    if ([object allowDoubleClickLaunch])
		[ [optionMatrix cellAt: 5 : 0] setState: 1];
	else
		[ [optionMatrix cellAt: 5 : 0] setState: 0];	

    if ([object retainData])
		[ [optionMatrix cellAt: 6 : 0] setState: 1];
	else
		[ [optionMatrix cellAt: 6 : 0] setState: 0];	
	
	[optionMatrix display];	// get matrix to redisplay values
		
    return [super revert:sender];
}


// This method is called when one of the buttons in the inspector
// is clicked. The object is then notified of the change so that
// it can change it's state.

- setOptions: sender
{
  BOOL  state = [ [sender selectedCell] state];
  
  	switch ([ [sender selectedCell] tag])
    {
	  case 0:					
	  	[object setAllowSourceDragging: state];
		break;
	  case 1: 					
	  	[object setAllowDestinationDragging: state];
		break;
	  case 2:
	  	[object setAcceptForeignDrag: state];
		break;
	  case 3:
	  	[object setAcceptLocalDrag: state];
		break;
	  case 4:
	  	[object setAcceptSelfDrag: state];
		break;
	  case 5:
	  	[object setAllowDoubleClickLaunch: state];
		break;
	  case 6:
	  	[object setRetainData: state];
	 }
	 
	return [self ok: sender];
}


// Determines whether the inspector panel will have an "OK" and
// "Revert" button included on the inspector.

- (BOOL)wantsButtons
{
    return NO;
}


@end
