/***************************************************************************
 * CLASS:		MiscImageDragView
 * PROGRAMMER:	Todd Thomas
 * DATE:		Nov 9, 1993
 * VERSION		0.1
 *
 *	A class that allows you to drag and drop TIFF or EPS images. You have
 * the option of either dragging the image in the view or just the icon
 * representation. Within the view too, you can either display the icon   
 * representation, or the image itself. Data can send and accept the 
 * following types: NXFilenamePboardType, NXTIFFPboardType or the 	
 * NXPostScriptPboardType, depending upon image type.
 *		
 ****************************************************************************/
 
#import <appkit/appkit.h>
#import "MiscImageView.h"


@interface MiscImageDragView : MiscImageView
{
	BOOL  dragIconRepresentation;
	id  filename;
}
	
- initFrame: (NXRect *)frameRect;
- awake;
- setDragIconRepresentation: (BOOL)aBool;
- (BOOL)dragIconRepresentation;
- (BOOL)setupForSourceDrag;
- (BOOL)hasRepresentation: aClass;
- (BOOL)prepareForDragOperation:sender;
- (BOOL)performDragOperation: sender;
- read: (NXTypedStream *)stream;
- write: (NXTypedStream *)stream;


@end